import { DataResult, DataSource, ExecuteOptions, ExportOptions, RequestParameter } from '@vulcan-sql/core';
import { ClickHouseClientConfigOptions } from '@clickhouse/client';
export declare type ClickHouseOptions = ClickHouseClientConfigOptions;
export declare type ClickHouseTLSOptions = {
    ca_cert?: string;
    cert?: string;
    key?: string;
};
export declare class ClickHouseDataSource extends DataSource<any, ClickHouseOptions> {
    private logger;
    private clientMapping;
    onActivate(): Promise<void>;
    execute({ statement: sql, bindParams, profileName, operations, }: ExecuteOptions): Promise<DataResult>;
    prepare({ parameterIndex, value }: RequestParameter): Promise<string>;
    destroy(): Promise<void>;
    private getResultFromRestfulSet;
    export(options: ExportOptions): Promise<void>;
    private checkProfileExist;
    private convertToQueryParams;
}
